/*
 * $Id: RSSValueFormatException.java,v 1.2 2005/06/21 15:28:05 rampil Exp $
 * Copyright (c) 2005 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss;

/**
 * RSSValueFormatException
 * RSS/1bにおいて，ある特定の目的の値が，要求されている型と違う場合にスローされる例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class RSSValueFormatException extends Exception {
	/**
	 * デフォルトコンストラクタ
	 */
	public RSSValueFormatException() {
		super();
	}
	/**
	 * 引数に例外メッセージをとるコンストラクタ
	 * @param m メッセージ
	 */
	public RSSValueFormatException(String m) {
		super(m);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public RSSValueFormatException(Exception e) {
		super(e);
	}
}

// end of RSSValueFormatException.java
